| Home | Libraries | People | FAQ | More

## Struct template reverse_fold

boost::proto::reverse_fold — A PrimitiveTransform that is the same as the `proto::fold<>` transform, except that it folds back-to-front instead of front-to-back. It uses the `proto::_reverse` callable PolymorphicFunctionObject to create a `fusion::reverse_view<>` of the sequence before invoking `fusion::fold<>`.

## Synopsis

    // In header: <boost/proto/transform/fold.hpp>

    template<typename Sequence, typename State0, typename Fun>
    struct reverse_fold :  proto::fold< proto::_reverse(Sequence), State0, Fun > {
    };